GNU bug report logs - #57986
29.0.50; Citation prefix lost when message-newline-and-reformat

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sean Whitton <spwhitton@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 57986 <at> debbugs.gnu.org and Sean Whitton <spwhitton@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57986 <at> debbugs.gnu.org:


Received: (at 57986) by debbugs.gnu.org; 24 Sep 2022 09:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 05:39:48 2022
Received: from localhost ([127.0.0.1]:42321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc1dU-0001kC-Es
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 05:39:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oc1dS-0001jt-4f
 for 57986 <at> debbugs.gnu.org; Sat, 24 Sep 2022 05:39:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=XP1MgLbJMtGQbUn7BRm1T5jDc2y+XgaXWQuGHbE+G0I=; b=h0un0IC4i/YcMDIN9NXHIcgyEm
 JuBMrFEO5SNShbMVtVqH5JdpqiXetlk60VVOCavzRGpsIfLqxwOQwwkLKusvyzGKexeBayqOoU/hp
 aQ74+Y37vdQz3paSZrqSAGmgGu5/pyNr1FuoNWb+DHFGUpzIHv0JD/qhvDdw1hxDxbTI=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oc1dJ-0002J3-89; Sat, 24 Sep 2022 11:39:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#57986: 29.0.50; Citation prefix lost when
 message-newline-and-reformat
In-Reply-To: <87fsgi2gs2.fsf@HIDDEN> (Sean Whitton's message
 of "Fri, 23 Sep 2022 09:32:13 -0700")
References: <87r104r2zd.fsf@HIDDEN> <87mtaq2hap.fsf@HIDDEN>
 <87fsgi2gs2.fsf@HIDDEN>
X-Now-Playing: Terry Riley's _Third Noise Principle (Formative North
 American Electronica 1975-1984) (3)_: "Across the Lake of the Ancient
 Word"
Date: Sat, 24 Sep 2022 11:39:36 +0200
Message-ID: <87czbl157r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Sean Whitton <spwhitton@HIDDEN> writes: > Yeah, the
 docstring sounds like do-what-I-mean reformatting,
 not > something more specific
 that cares about exactly where point is in the > line. (I'd still advocate
 for changing it -- is there any [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57986
Cc: 57986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sean Whitton <spwhitton@HIDDEN> writes:

> Yeah, the docstring sounds like do-what-I-mean reformatting, not
> something more specific that cares about exactly where point is in the
> line.  (I'd still advocate for changing it -- is there any use for this
> command aside from splitting up quoted text like this?)

No, but point determines what to use as the quote prefix, and that makes
some difference if you have variations on

>> Foo bar
>>> Foo bar zot

etc -- it uses the bit before point to find the prefix.  And if you look
at the code, it's explicitly checking whether we're at bolp to disable
that logic.

I've played around a bit hitting `M-RET' at various places, and I think
that what it does probably makes sense, even if it's not totally
intuitive, so I've just clarified this in the doc string instead of
changing what it's doing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57986; Package emacs. Full text available.

Message received at 57986 <at> debbugs.gnu.org:


Received: (at 57986) by debbugs.gnu.org; 23 Sep 2022 16:32:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:32:22 2022
Received: from localhost ([127.0.0.1]:41613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblbB-00030c-QX
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:32:22 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:60337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1oblb9-00030O-SV
 for 57986 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:32:20 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 8F7755C003E;
 Fri, 23 Sep 2022 12:32:14 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Fri, 23 Sep 2022 12:32:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=fm1; t=1663950734; x=1664037134; bh=gK
 rrf4opFsRwWvXHbdhVqK2EeTmZKmejLJ20Pnz5S3g=; b=5etq7Osrnjk0001R8H
 ZDgLbR19MwiXJeWFvhzpyaN/XbcZrKkPJhc97k5r2LQzPjtZRtBIyWDMuZFjVPpS
 dVjc5KJeWdY/KABqmfX17ElnTC6ojwp67dicmQLb6i5NPi81M95VtLBk6YWMHsW0
 vUcAiraQT+uCUsrw50xuh9mxmTQpN54Zh5juHPUP9I18UiobXECrLWYd1Lb5bZmf
 R3fuFJ7p942spxFruLMQLvgnQz0hLH6FVsYoxJk6sKAS4THSHvlmdepDorBh8v98
 SijWQgzzu8j9HnMhKgj4VgYBcIDQpC/t0RmbEwMaef4LUXGLdwk5WZ9Op3aFGvfN
 JTfA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; t=1663950734; x=1664037134; bh=gKrrf4opFsRwWvXHbdhVqK2EeTmZ
 KmejLJ20Pnz5S3g=; b=DcCm8uWigBUSltq/KHeK0cssg6k7ltXTlJW8OkQp1+oY
 3SKzODiX26ejc84i/oQILVVaP2LgOFQR9mbV30s0ETCzjEqOB7V97G38CWNGpTwI
 o65aK9pHqTGUpJYobo5hCnOdIqKPI/y33GsoKcmLvxBJeU3sHK6mhZCJfrKW4sZK
 W3rPx1hTp8hM4DQcG/O28VhUAO4ppGD1G+m1RmCIQE4VsqttMXEAxJ7Ybn28Erx9
 Ss02QAh3u1pNlRCbjl1LCHXw11SBt13R5Q36wgQzTX7F9AA57yU4dN+jvQMpQieo
 Ri0DzyJ7GQg7vgOYZ/H3Kez/7kZ7GhSYtZPWKcHHUA==
X-ME-Sender: <xms:jt8tY5mlDbGgQfY1f9P5ouCKSjlWTCJFyHSwNp_y1WxfwOKTuaJFSQ>
 <xme:jt8tY00UmURsOMyyV5msfTo1VwFvSY86O5IM96SzPJjmVihfjRK4Cw5wnGqfCNC9c
 hkYl4rT87GgHNdsbg>
X-ME-Received: <xmr:jt8tY_oqxzG6mmGsCH5OI4o9N8Xo1P8w47jxKad19itjjkIU2YGvsXFkyAVYZV89RyQwk56FNGhM6aBsNtmKHeF5ctjyZ2vRoP44fqPQ7E7xcZA6Uw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrfeefiedguddthecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvfevufgjfhffkfgfgggtsehttddttddtredtnecuhfhrohhmpefuvggr
 nhcuhghhihhtthhonhcuoehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
 eqnecuggftrfgrthhtvghrnheptdffvdffueeluedvteekvdevhefghedvgeevgffhvedu
 keeggeelveegjeekteeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgv
X-ME-Proxy: <xmx:jt8tY5lUxdHH05Chccn07K4WSuzJgbtM2r-SBTyFUkPkwsHMI5iBww>
 <xmx:jt8tY30_VoLKgHjYUcrYV9cdfoFQ6q098o23Xu6iXLg5da59QMlHvg>
 <xmx:jt8tY4vy5WlH-UQ_vaRaekV_cEHjZ8dZyhmGBy15Z6z8mVgusjBtTA>
 <xmx:jt8tY0_tzMKtNvYJm7bXNe9BOIUQJcACQqltXQjwH3_qUH25Xno0vQ>
Feedback-ID: i23c04076:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 23 Sep 2022 12:32:14 -0400 (EDT)
Received: by melete.silentflame.com (Postfix, from userid 1000)
 id 384BF7F32D5; Fri, 23 Sep 2022 09:32:13 -0700 (MST)
From: Sean Whitton <spwhitton@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57986: 29.0.50; Citation prefix lost when
 message-newline-and-reformat
In-Reply-To: <87mtaq2hap.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 23 Sep 2022 18:21:02 +0200")
References: <87r104r2zd.fsf@HIDDEN> <87mtaq2hap.fsf@HIDDEN>
Date: Fri, 23 Sep 2022 09:32:13 -0700
Message-ID: <87fsgi2gs2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57986
Cc: 57986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Fri 23 Sep 2022 at 06:21PM +02, Lars Ingebrigtsen wrote:

> `M-RET' uses the text before point as the prefix, so if you `M-RET' at
> the end of the second line, you get
>
> ---
>> This is some.
>>
>
>
>
>>
>> This is more.  This is more.  This is more.  This is more.  This is
>> more.  This is more.  This is more.
> ---
>
> which is what we're aiming for.  So I'm not sure whether this is a
> bug -- I think this is what it's meant to do.  But perhaps it should be
> documented better?

Yeah, the docstring sounds like do-what-I-mean reformatting, not
something more specific that cares about exactly where point is in the
line.  (I'd still advocate for changing it -- is there any use for this
command aside from splitting up quoted text like this?)

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57986; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57986 <at> debbugs.gnu.org:


Received: (at 57986) by debbugs.gnu.org; 23 Sep 2022 16:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:21:12 2022
Received: from localhost ([127.0.0.1]:41567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblQO-0000UM-8U
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:21:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oblQN-0000U6-2d
 for 57986 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:21:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kW/4wjPraDeN6tant0WkqTnXUQccmQKXWCvK0kTfxcM=; b=L8uqfogcER1uLrUjay/knf0HA8
 6Qo9R9VM19TuLHe8bqSj5AY1KGqOVxlQU4Jl7EIOTNOJGtnw6EWjRo3ihJMfFidI2MIHI9IOQSUp3
 wXZ4RQXn9Kan/eFGuz/sIQvg7/SNp1B6uTG2bKe9EIYk7q72Oe2JMMv9j5lFURQRyl0g=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oblQE-0003W7-Lj; Fri, 23 Sep 2022 18:21:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#57986: 29.0.50; Citation prefix lost when
 message-newline-and-reformat
In-Reply-To: <87r104r2zd.fsf@HIDDEN> (Sean Whitton's message
 of "Wed, 21 Sep 2022 11:34:14 -0700")
References: <87r104r2zd.fsf@HIDDEN>
X-Now-Playing: Kate Bush's _Never For Ever_: "Egypt"
Date: Fri, 23 Sep 2022 18:21:02 +0200
Message-ID: <87mtaq2hap.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Sean Whitton <spwhitton@HIDDEN> writes: > In emacs
 -q, C-x m and put this text in the buffer: > >> This is some. >> >> This
 is more. This is more. This is more. This is more. This is more. >> This is
 more. This is more. > > Move point to th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57986
Cc: 57986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sean Whitton <spwhitton@HIDDEN> writes:

> In emacs -q, C-x m and put this text in the buffer:
>
>> This is some.
>>
>> This is more.  This is more.  This is more.  This is more.  This is more.
>> This is more.  This is more.
>
> Move point to the beginning of the second line.  M-RET.

[...]

>> This is some.
>
>>
>> This is more.  This is more.  This is more.  This is more.  This is
> more.
>> This is more.  This is more.
>
> The problem, in particular, is how "more" becomes unquoted.

`M-RET' uses the text before point as the prefix, so if you `M-RET' at
the end of the second line, you get

---
> This is some.
>



> 
> This is more.  This is more.  This is more.  This is more.  This is
> more.  This is more.  This is more.
---

which is what we're aiming for.  So I'm not sure whether this is a
bug -- I think this is what it's meant to do.  But perhaps it should be
documented better?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57986; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2022 18:34:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 14:34:22 2022
Received: from localhost ([127.0.0.1]:35229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ob4YA-0001OD-EX
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 14:34:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:36306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1ob4Y9-0001O6-7B
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 14:34:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58216)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <spwhitton@HIDDEN>)
 id 1ob4Y9-0002ZZ-2u
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 14:34:21 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:54433)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <spwhitton@HIDDEN>)
 id 1ob4Y6-0006dp-97
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 14:34:20 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 4CAF95C0082
 for <bug-gnu-emacs@HIDDEN>; Wed, 21 Sep 2022 14:34:16 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 21 Sep 2022 14:34:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=cc:content-type:date:date:from:from:in-reply-to:message-id
 :mime-version:reply-to:sender:subject:subject:to:to; s=fm1; t=
 1663785256; x=1663871656; bh=8cYexQZkm1HUqhLV0AxX/uxHLhgCN2Tgs/i
 IQqOhF3s=; b=kW69pMgam503cNPCkV4oAINzS0lt2YST/jBD9F5GY16cXq8mu+X
 e1F06vK94NCEfydnDw5LJwUssPVeOoQ2S55bx0AtuzILYZmuZBFrg0l3ZR6BkPVc
 Vh2ugCBU4PsGxl1TcqaZkA6+cuKuCT/Vbe0sGW8irESjIxRTeSJwvl9MWtxDJ8Tp
 NOwx5L0lAOo5DICXZ14tWIgDWcFcyh62Wc1bh4t2/Zb2FeAddu8/lLjEd0OopA3Q
 uKitljvgBUp3bFkXzR9V+8FXHT/De1s8IH5dP8Gr7YZbJR3kNp6HFJkEUX2VDQSL
 PgsXMg4QnltjVe4tLiAvxG/0+NqmM6bLc1A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:message-id:mime-version
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; t=1663785256; x=
 1663871656; bh=8cYexQZkm1HUqhLV0AxX/uxHLhgCN2Tgs/iIQqOhF3s=; b=x
 r4g776OZbyQg4j0I3g99wYrS+Hw0mWyP1Gaxq9S/kc/8XggEKueim1nvHg86nxPN
 4fuxOwsv2XyQUI5p9O7i2UIMUQ3BBfqgRTKdTEphgGEcwI0au7xwr65BRtbYezRG
 bC5QXhQ0Z55x4EJ/WbNIr22F8Io0OTlFMaoTvoXySr5oR7SSAFJnfbtacPazmN/X
 NRwCdo3WZRoi6Wge6Sm5DFTfwutFVTitsvb4BFKpDsq0bcnB7OUd4lxxECNS9imH
 MuUgWnmC/G+c+Z+dpclzCIIR2oCXLHCZKQI3INfUIUVTM9prvo/KJEVY8JB/xiGv
 UlrQqNH38WfRwbdvWcKmw==
X-ME-Sender: <xms:J1krY3UStZmBaXe_ko_xe0o6_qaY9OCFRPHRFTXTodyKT9H_eJiSMg>
 <xme:J1krY_kVgOIgbL4WXPjKUlVDclx8HbLStXR3qCm5uFe7W2wLG8W8qNWFU961zpzfY
 3DOM3mC6bD5lhFdFA>
X-ME-Received: <xmr:J1krYzZpM6vh2mlyKQoZGMG67s9K_CfB_U77nLM7wn2ORX_T4mUMUhe-PQEHkGjFHRpcstXGVPl3d-pc4ZqpmNVkCFYMrGBbmuO257RYpuhMjvR9Pw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrfeefuddguddvjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfgfgggtsehttddttd
 dtredtnecuhfhrohhmpefuvggrnhcuhghhihhtthhonhcuoehsphifhhhithhtohhnsehs
 phifhhhithhtohhnrdhnrghmvgeqnecuggftrfgrthhtvghrnhepfffgheeggffgheeuvd
 ethfekuddtgffgtdeukeegkedttefftdeghfdvgfdtjeelnecuvehluhhsthgvrhfuihii
 vgeptdenucfrrghrrghmpehmrghilhhfrhhomhepshhpfihhihhtthhonhesshhpfihhih
 htthhonhdrnhgrmhgv
X-ME-Proxy: <xmx:KFkrYyW8FSxGQux45MLYT8hOCk0BKx7Cmb88MP1hhQiLNPV6fdWoIQ>
 <xmx:KFkrYxkeqhBkVFUyYhMjpdUKB03ATX1Je_Yy3DdnK1C2ahlmc0uGnA>
 <xmx:KFkrY_fia90QOlnawr8KcNuWQ28rI6Rbasv1ozcg8IrbL9MoTsaEBA>
 <xmx:KFkrY_Su6QNSdugISFmfFPhbn1KT5VHnbt-ZpeOliaiZVE0Pxr4EuA>
Feedback-ID: i23c04076:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <bug-gnu-emacs@HIDDEN>; Wed, 21 Sep 2022 14:34:15 -0400 (EDT)
Received: by melete.silentflame.com (Postfix, from userid 1000)
 id 7AEF67F2F91; Wed, 21 Sep 2022 11:34:14 -0700 (MST)
From: Sean Whitton <spwhitton@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Citation prefix lost when message-newline-and-reformat
Date: Wed, 21 Sep 2022 11:34:14 -0700
Message-ID: <87r104r2zd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=66.111.4.27;
 envelope-from=spwhitton@HIDDEN; helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

In emacs -q, C-x m and put this text in the buffer:

--8<---------------cut here---------------start------------->8---
> This is some.
>
> This is more.  This is more.  This is more.  This is more.  This is more.
> This is more.  This is more.
--8<---------------cut here---------------end--------------->8---

Move point to the beginning of the second line.  M-RET.

Expected:

--8<---------------cut here---------------start------------->8---
> This is some.
>



> 
> This is more.  This is more.  This is more.  This is more.  This is
> more.  This is more.  This is more.
--8<---------------cut here---------------end--------------->8---

Actual:

--8<---------------cut here---------------start------------->8---
> This is some.



>
> This is more.  This is more.  This is more.  This is more.  This is
more.
> This is more.  This is more.
--8<---------------cut here---------------end--------------->8---

The problem, in particular, is how "more" becomes unquoted.

-- 
Sean Whitton




Acknowledgement sent to Sean Whitton <spwhitton@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57986; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.